# Blog Coordinator Handbook

This handbook outlines expectations and responsibilities for Blog coordinator as well as Contributor Comms team members who wish to contribute to blogging activities.

Writing and sharing articles is one of the ways through which Kubernetes contributors add to the community, and the Blog Coordinator role exists to

1. Serve as an initial point of contact for content suggestions
2. Help contributors to navigate the existing publishing processes
3. Assist in determining the final publishing targets of the content.
4. Coordinate with SIG-Docs in the publishing process, namely by following and improving the Blogging Guidelines.
5. Coordinate with the rest of the Contributor Comms team, and specifically the Social Media Coordinator, in the best ways to broaden external awareness of published content.

The [Kubernetes Contributor Blog](https://www.kubernetes.dev/blog/) is one of the most direct points of entry for those that want to share with a wider audience. The role of the Blog Coordinator is to guide those that want to contribute in the best way to do so, while coordinating with the rest of the team (including other Contributor Comms team members) to assign editors, reviewers and other roles to new submissions.

The Blog Coordinator has an active involvement in defining, with others, the [Blogging Guidelines](https://hackmd.io/@fsm/blog-guidelines), and should constantly seek to improve them, with an eye on the improvement of the contributor experience.


### Minimum Skills and Requirements

Those in this role should ideally:

* Be a member of the [Kubernetes GitHub Org](https://github.com/kubernetes/)
* Have some familiarity with blogging platforms and editing tools; specific knowledge of Markdown, GitHub and Hugo is a plus.
* Be available to either attend regular Contributor Comms meetings or collaborate asynchronously via the #sig-contribex-comms channel in the Kubernetes Slack

#### Expected time commitment

* Team leads: 3-5h per week.
* Team members: 1-3h per week.

### General Expectations

1. Be ready to help those wanting to contribute to the blogs.
2. Understand the Blogging Guidelines and assist contributors in following them.
3. Help in determining applicability of the proposed content, with the rest of the team: this includes discussion in the Slack channel or regular meeting.
4. Identify team members that can review blog submissions.
5. Discuss with SIG-Docs, when needed, for possible publication in the main Kubernetes site.
6. Review blog submissions.
7. Open the blog submission PR (with the author as Co-author), or find someone that can assist in this tasks within the Contributor Comms team.
8. Follow up submitted PRs and help with the approval process.

### Associates Overview (Shadow)

Team members who which to become Blogging Leads should express their desire to the current lead; leads should work with shadows to understand their capacity to take on the needs of the lead role and work with the shadow on a plan to take on responsibility, including:

* Become a reviewer of new submitted content.
* Open the PRs and follow them through.
* Provide assistance to new contributors that are asking how to submit content.
